<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="15dp"
    android:layout_marginLeft="10dp"
    android:layout_marginRight="10dp"
    android:layout_marginBottom="10dp"
    android:background="@drawable/paynimo_view_rounded_corner"
    android:orientation="vertical">
    <LinearLayout
        android:id="@+id/paynimo_lyt_rdo_group"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:visibility="visible" >
        <RadioGroup
            android:id="@+id/paynimo_rg_esign_modes"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <RadioButton
                android:id="@+id/paynimo_rdo_OTP"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:text="OTP" />
            <RadioButton
                android:id="@+id/paynimo_rdo_biometric"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:text="Biometric"/>
        </RadioGroup>
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="gone"
            android:layout_weight="0.6">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="Aadhar Number" />

            <com.paynimo.android.payment.CustomEditText
                android:id="@+id/paynimo_et_aadhar_number"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Enter Aadhar No"
                android:maxLength="14"
                android:inputType="number" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_marginLeft="5dp"
            android:layout_weight="0.4">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="Account Holder Name" />

            <com.paynimo.android.payment.CustomEditText
                android:id="@+id/paynimo_et_account_holder_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Enter Account Holder Name"
                android:inputType="text"
                android:nextFocusDown="@+id/paynimo_et_account_number"/>
        </LinearLayout>
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_weight="0.6">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="Account Number" />

            <com.paynimo.android.payment.CustomEditText
                android:id="@+id/paynimo_et_account_number"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Enter Account No"
                android:inputType="number"
                android:nextFocusDown="@+id/paynimo_et_ifsc_code"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_marginLeft="5dp"
            android:layout_weight="0.4">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:text="IFSC Code" />

            <com.paynimo.android.payment.CustomEditText
                android:id="@+id/paynimo_et_ifsc_code"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="Enter IFSC Code"
                android:maxLength="11"
                android:inputType="text" />
        </LinearLayout>
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginLeft="5dp"
        android:layout_marginTop="5dp"
        android:layout_marginBottom="5dp"
        android:layout_gravity="center">
        <com.paynimo.android.payment.CustomTextView
            style="@style/TextViewPaynimo"
            android:id="@+id/paynimo_text_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_alignParentLeft="true"
            android:text="Account Type" />
        <Spinner
            android:id="@+id/paynimo_spn_account_type"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/paynimo_text_type"
            />
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/paynimo_lyt_bank_details"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginTop="5dp"
        android:layout_marginLeft="5dp"
        android:layout_marginRight="5dp"
        android:layout_marginBottom="5dp"
        android:background="@drawable/paynimo_view_rounded_corner"
        android:visibility="gone">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="horizontal">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewSmallPaynimo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textColor="@color/defaultTextColor"
                android:text="Bank:"/>
            <com.paynimo.android.payment.CustomTextView
                android:id="@+id/paynimo_bank_name"
                style="@style/TextViewSmallPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="horizontal">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewSmallPaynimo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textColor="@color/defaultTextColor"
                android:text="Address:"/>
            <com.paynimo.android.payment.CustomTextView
                android:id="@+id/paynimo_bank_address"
                style="@style/TextViewSmallPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="horizontal">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewSmallPaynimo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textColor="@color/defaultTextColor"
                android:text="Branch:"/>
            <com.paynimo.android.payment.CustomTextView
                android:id="@+id/paynimo_bank_branch"
                style="@style/TextViewSmallPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="horizontal">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewSmallPaynimo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textColor="@color/defaultTextColor"
                android:text="District:"/>
            <com.paynimo.android.payment.CustomTextView
                android:id="@+id/paynimo_bank_district"
                style="@style/TextViewSmallPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="horizontal">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewSmallPaynimo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textColor="@color/defaultTextColor"
                android:text="State:"/>
            <com.paynimo.android.payment.CustomTextView
                android:id="@+id/paynimo_bank_state"
                style="@style/TextViewSmallPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:orientation="horizontal">
            <com.paynimo.android.payment.CustomTextView
                style="@style/TextViewSmallPaynimo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textColor="@color/defaultTextColor"
                android:text="MICR Code:"/>
            <com.paynimo.android.payment.CustomTextView
                android:id="@+id/paynimo_bank_micr"
                style="@style/TextViewSmallPaynimo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/paynimo_lyt_vid_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginTop="5dp"
        android:layout_marginLeft="5dp"
        android:layout_marginRight="5dp"
        android:layout_marginBottom="5dp"
        android:background="@drawable/paynimo_view_rounded_corner"
        android:visibility="visible">
        <com.paynimo.android.payment.CustomTextView
            style="@style/TextViewPaynimo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textStyle="bold"
            android:textColor="@color/defaultTextColor"
            android:text="@string/paynimo_digital_mandate_what_is_aadhar_vid"/>
        <com.paynimo.android.payment.CustomTextView
            style="@style/TextViewSmallPaynimo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:text="@string/paynimo_digital_mandate_vid_details" />
        <com.paynimo.android.payment.CustomTextView
            style="@style/TextViewSmallPaynimo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/paynimo_digital_mandate_vid_use" />
        <com.paynimo.android.payment.CustomButton
            style="@style/ButtonPaynimo"
            android:id="@+id/paynimo_btn_generate_vid"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_margin="10dp"
            android:text="@string/paynimo_digital_mandate_btn_generate_vid_label" />
        <com.paynimo.android.payment.CustomTextView
            style="@style/TextViewSmallPaynimo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textColor="@color/paynimo_textViewNoteTextColor"
            android:text="@string/paynimo_digital_mandate_vid_note" />
    </LinearLayout>
    <com.paynimo.android.payment.CustomTextView
        android:id="@+id/paynimo_bank_error_text"
        style="@style/TextViewPaynimo"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"/>

    <com.paynimo.android.payment.CustomTextView
        android:id="@+id/paynimo_biometric_note_text"
        style="@style/TextViewPaynimo"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone" />

</LinearLayout>
